<?php

namespace common\logic\User\User\Wrapper;

use common\logic\AbstractModule;
use common\logic\User\User\Repository\UserRepository;
use common\logic\User\User\Service\AuthorizationChecker;
use common\logic\User\User\Service\NewsletterManager;
use common\logic\User\User\Service\UserBuilder;
use common\logic\User\User\Service\UserDefinition;
use common\logic\User\User\Service\UserNotifier;
use common\logic\User\User\Service\UsersCreditCsvGenerator;
use common\logic\User\User\Service\UserSolver;

/**
 * @mixin UserDefinition
 * @mixin UserSolver
 * @mixin UserRepository
 * @mixin UserBuilder
 * @mixin UserNotifier
 * @mixin UsersCreditCsvGenerator
 * @mixin NewsletterManager
 * @mixin AuthorizationChecker
 */
class UserModule extends AbstractModule
{
    public function getContainerFqcn(): string
    {
        return UserContainer::class;
    }

    public function getAuthorizationChecker(): AuthorizationChecker
    {
        return AuthorizationChecker::getInstance();
    }
}